using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议通知主题")]
    public class T_SC_MT_MEETING_THEMES : MesEntityBase
    {
        /// <summary>
        /// 会议表
        /// </summary>
        [Description("会议表")]
        [DataFieldForeignKey("Nav_Meeting", "Nav_ListThemes")]
        public Guid MEETING_ID { get; set; }

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("导航：会议表")]
        public virtual T_SC_MT_MEETING Nav_Meeting { get; set; }

        /// <summary>
        /// 会议主题
        /// </summary>
        [Description("会议主题")]
        [DataFieldForeignKey("Nav_MeetingTheme")]
        public Guid THEME_ID { get; set; }

        /// <summary>
        /// 会议主题
        /// </summary>
        [Description("导航：会议主题")]
        public virtual T_SC_MT_MEETING_THEME Nav_MeetingTheme { get; set; }
    }
}